import React, { useState } from 'react';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z$o = ":root {\n  --animate-duration: 1s;\n  --animate-delay: 1s;\n  --animate-repeat: 1;\n  --blue: #007bff;\n  --indigo: #6610f2;\n  --purple: #6f42c1;\n  --pink: #e83e8c;\n  --red: #dc3545;\n  --orange: #fd7e14;\n  --yellow: #ffc107;\n  --green: #28a745;\n  --teal: #20c997;\n  --cyan: #17a2b8;\n  --white: #fff;\n  --gray: #6c757d;\n  --gray-dark: #343a40;\n  --primary: var(--iq-primary);\n  --secondary: #6c757d;\n  --success: #28a745;\n  --info: #17a2b8;\n  --warning: #ffc107;\n  --danger: #dc3545;\n  --light: #f8f9fa;\n  --dark: #343a40;\n  --breakpoint-xs: 0;\n  --breakpoint-sm: 576px;\n  --breakpoint-md: 768px;\n  --breakpoint-lg: 992px;\n  --breakpoint-xl: 1200px;\n  --font-family-sans-serif: -apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif, \"Apple Color Emoji\", \"Segoe UI Emoji\", \"Segoe UI Symbol\", \"Noto Color Emoji\";\n  --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace;\n  --iq-title-text: #fff;\n  --iq-body-text: #d1d0cf;\n  --iq-body-bg: #141414;\n  --iq-primary: #e20e02;\n  --iq-secondary: #83878a;\n  --iq-success: #14e788;\n  --iq-warning: #f68a04;\n  --iq-danger: #545e75;\n  --iq-info: #007aff;\n  --iq-dark: #000;\n  --iq-light: #fafafb;\n  --iq-white: #fff;\n  --iq-black: #fff;\n  --iq-gray: #b1b1b1;\n  --iq-dark1: #a2a4af;\n  --iq-light-primary: rgba(226, 14, 2, 0.2);\n  --iq-light-secondary: rgba(131, 135, 138, 0.2);\n  --iq-light-success: rgba(20, 231, 136, 0.2);\n  --iq-light-danger: rgba(84, 94, 117, 0.2);\n  --iq-light-warning: rgba(246, 138, 4, 0.2);\n  --iq-light-info: rgba(0, 122, 255, 0.2);\n  --iq-light-light: rgba(250, 250, 251, 0.2);\n  --iq-light-dark: rgba(0, 0, 0, 0.2);\n  --iq-primary-hover: #bf000a;\n  --iq-secondary-hover: #807e7e;\n  --iq-success-hover: #42f9d9;\n  --iq-danger-hover: #3c4354;\n  --iq-warning-hover: #fdb45e;\n  --iq-info-hover: #c280ea;\n  --iq-dark-hover: #44454e;\n  --iq-light-hover: #eaeeff;\n  --iq-border: #141414;\n  --iq-border-light: #141414;\n  --iq-border-danger: #ff9273;\n  --iq-light-card: #191919;\n  --iq-primary-rgb: 100, 114, 248;\n  --iq-primary-light: #f3fffe;\n  --iq-bg1: #363636;\n  --iq-disable: #313946;\n  --active: black; }\n\n* {\n  margin: 0;\n  padding: 0;\n  border: 0;\n  box-sizing: border-box; }\n\nbody {\n  font-family: Roboto, sans-serif;\n  font-weight: 400;\n  font-style: normal;\n  font-size: 16px;\n  line-height: 1.5;\n  padding: 0;\n  margin: 0;\n  color: var(--iq-body-text);\n  background: var(--iq-body-bg); }\n\nh1, h2, h3, h4, h5, h6 {\n  font-weight: 500;\n  margin: 0;\n  line-height: 1.2;\n  color: var(--iq-white); }\n\n::selection {\n  background: var(--iq-primary);\n  color: var(--iq-white);\n  text-shadow: none; }\n\n::-webkit-scrollbar-track {\n  background: #f1f1f1;\n  border-radius: 20px; }\n\n::-webkit-scrollbar-track {\n  background: #f1f1f1;\n  border-radius: 20px; }\n\n::-webkit-scrollbar-thumb {\n  background: #888;\n  border-radius: 20px; }\n\n::-webkit-scrollbar-thumb {\n  background: #888;\n  border-radius: 20px; }\n\n::-webkit-scrollbar {\n  width: 8px;\n  height: 8px;\n  border-radius: 20px; }\n\n::-webkit-scrollbar {\n  width: 8px;\n  height: 8px;\n  border-radius: 20px; }\n";
styleInject(css_248z$o);

var css_248z$n = ".Arrow {\n  display: inline-block; }\n  .Arrow::before, .Arrow::after {\n    content: \"\";\n    width: 10px;\n    height: 2px;\n    border-radius: 1px;\n    background: var(--active);\n    display: block;\n    transform-origin: 10.2px 50%; }\n  .Arrow::before {\n    transform: rotate(-40deg); }\n  .Arrow::after {\n    transform: rotate(40deg); }\n";
styleInject(css_248z$n);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function __spreadArray(to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
}

var ITBem;
(function (ITBem) {
    ITBem["DEFAULT"] = "-";
    ITBem["MODIFIER"] = "--";
    ITBem["BLOCK"] = "";
    ITBem["CHILD"] = "_";
})(ITBem || (ITBem = {}));
var BEM = /** @class */ (function () {
    function BEM(parent, classNames) {
        this._listClassNames = [];
        this._parent = parent;
        this._classNames = classNames;
        this._listClassNames.push(parent);
    }
    BEM.prototype.GetParent = function () {
        return this._parent;
    };
    BEM.prototype.toString = function () {
        var _this = this;
        return Object.entries(this._classNames).reduce(function (previousValue, currentValue) {
            if (currentValue[1]) {
                if (typeof currentValue[1] == "string") {
                    previousValue.push(_this._parent + ITBem.MODIFIER + currentValue[0] + ITBem.DEFAULT + currentValue[1]);
                }
                else if (typeof currentValue[1] == "boolean") {
                    previousValue.push(_this._parent + ITBem.MODIFIER + currentValue[0]);
                }
            }
            return previousValue;
        }, __spreadArray([], this._listClassNames)).join(" ");
    };
    BEM.prototype.Append = function (className) {
        if (!className)
            return this;
        this._listClassNames.push(className);
        return this;
    };
    BEM.prototype.Children = function (name, extra) {
        if (extra === void 0) { extra = ""; }
        return this._parent + "__" + name + (extra ? " " + extra : '');
    };
    BEM.prototype.Modifier = function (children, modifier, active, extra) {
        if (extra === void 0) { extra = ""; }
        var data = [this._parent + "__" + children];
        if (active) {
            data.push(this._parent + "__" + children + "--" + modifier);
        }
        if (extra) {
            data.push(extra);
        }
        return data.join(" ");
    };
    return BEM;
}());

// Generated with util/create-component.js
var Arrow = function (props) {
    var bm = new BEM("Arrow", {});
    bm.Append(props.className);
    return (React.createElement("i", { style: props.style, className: bm.toString() }));
};

var css_248z$m = ".Badge {\n  display: inline-block;\n  padding: .25em .4em;\n  font-size: 70%;\n  font-weight: 700;\n  line-height: 1;\n  text-align: center;\n  white-space: nowrap;\n  vertical-align: baseline;\n  border-radius: 5px;\n  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out; }\n  .Badge--primary {\n    color: #fff;\n    background-color: var(--iq-primary); }\n  .Badge--secondary {\n    color: #fff;\n    background-color: var(--iq-secondary); }\n  .Badge--no-radius {\n    border-radius: 0; }\n";
styleInject(css_248z$m);

// Generated with util/create-component.js
var Badge = function (props) {
    var _a;
    var _b = props.radius, radius = _b === void 0 ? true : _b;
    var bm = new BEM("Badge", (_a = {},
        _a[props.theme] = !!props.theme,
        _a.radius = radius,
        _a["no-radius"] = !radius,
        _a));
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("span", null, props.label)));
};

var css_248z$l = ".Button {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  display: inline-block;\n  font-weight: 400;\n  color: #212529;\n  text-align: center;\n  vertical-align: middle;\n  cursor: pointer;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  -ms-user-select: none;\n  user-select: none;\n  background-color: transparent;\n  border: 1px solid transparent;\n  padding: .375rem .75rem;\n  font-size: 1rem;\n  line-height: 1.5;\n  border-radius: 10px;\n  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out; }\n  .Button--default {\n    color: #fff;\n    background-color: var(--blue);\n    border-color: var(--blue);\n    transition: background-color 0.3s ease-in-out;\n    -webkit-transition: background-color 0.3s ease-in-out;\n    -moz-transition: background-color 0.3s ease-in-out;\n    -o-transition: background-color 0.3s ease-in-out; }\n    .Button--default:hover {\n      opacity: .8;\n      cursor: pointer; }\n  .Button--single {\n    background-color: var(--iq-primary);\n    border: 1px solid var(--iq-primary-hover);\n    color: var(--iq-white);\n    text-transform: uppercase;\n    border-radius: 0; }\n";
styleInject(css_248z$l);

var Button = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    var bm = new BEM("Button", {
        default: props.default,
        single: props.single,
    });
    bm.Append(props.className);
    return (React.createElement("button", { style: props.style, onClick: props.onClick, className: bm.toString() }, children));
};

var css_248z$k = ".foo-bar {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  color: #005f20; }\n";
styleInject(css_248z$k);

var ButtonDefault = function (_a) {
    var props = __rest(_a, []);
    return (React.createElement(Button, __assign({ default: true, single: true }, props)));
};

var css_248z$j = ".Card {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  border-radius: 4px;\n  background-color: var(--iq-white);\n  padding: 10px;\n  position: relative; }\n  .Card__image {\n    max-width: 100%;\n    height: auto;\n    display: block; }\n  .Card--default {\n    padding: 0;\n    background: none; }\n";
styleInject(css_248z$j);

// Generated with util/create-component.js
var Card = function (props) {
    var bm = new BEM("Card", {
        default: props.default,
    });
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        props.image && (React.createElement("img", { className: bm.Children("image"), src: props.image, alt: props.imageAlt, title: props.imageTitle })),
        props.children));
};

var css_248z$i = ".CardTitleDescription {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif; }\n  .CardTitleDescription h6 {\n    font-size: 1.5em; }\n  .CardTitleDescription > div {\n    display: flex;\n    align-items: center; }\n    .CardTitleDescription > div > span {\n      font-size: 14px;\n      margin-left: 10px; }\n";
styleInject(css_248z$i);

// Generated with util/create-component.js
var CardTitleDescription = function (props) {
    var bm = new BEM("CardTitleDescription", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h6", null, props.title),
        React.createElement("div", null,
            props.label && React.createElement(Badge, { radius: false, theme: "secondary", label: props.label }),
            React.createElement("span", null, props.description))));
};

var css_248z$h = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n.CardTitleDetail h1 {\n  font-size: 80px;\n  background-repeat: repeat-x;\n  background-position: 100% 100%;\n  color: transparent;\n  -webkit-font-smoothing: antialiased;\n  -webkit-background-clip: text;\n  -moz-background-clip: text;\n  background-clip: text;\n  -webkit-text-fill-color: transparent;\n  text-transform: uppercase; }\n\n.CardTitleDetail h1, .CardTitleDetail p, .CardTitleDetail__buttons, .CardTitleDetail .ListData {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.CardTitleDetail h1 {\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s;\n  animation-name: fadeInLeft; }\n\n.CardTitleDetail p, .CardTitleDetail__buttons {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.CardTitleDetail .ListData {\n  animation-name: fadeInRight;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.CardTitleDetail h1 {\n  animation-delay: 0.6s;\n  margin: 0;\n  padding: 0; }\n\n.CardTitleDetail p {\n  animation-delay: 1s;\n  max-width: 600px;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  display: -webkit-box;\n  -webkit-line-clamp: 3;\n  color: var(--iq-body-text);\n  -webkit-box-orient: vertical;\n  margin-bottom: 1.2em; }\n\n.CardTitleDetail__buttons {\n  animation-delay: 1.4s; }\n\n.CardTitleDetail .Button {\n  color: var(--iq-body-text); }\n";
styleInject(css_248z$h);

var css_248z$g = ".ListData {\n  margin: 0 0 1.2em 0; }\n";
styleInject(css_248z$g);

var css_248z$f = ".ListDataItem {\n  font-size: 1.1em;\n  font-weight: 500; }\n  .ListDataItem b {\n    color: var(--iq-primary); }\n  .ListDataItem span {\n    font-size: 16px;\n    font-weight: 400;\n    color: var(--iq-body-text);\n    margin-left: 5px; }\n";
styleInject(css_248z$f);

// Generated with util/create-component.js
var ListDataItem = function (props) {
    var bm = new BEM("ListDataItem", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("b", null,
            props.header,
            ":"),
        React.createElement("span", null, props.description)));
};

var ListData = function (props) {
    var bm = new BEM("ListData", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, props.data.map((function (value, index) { return (React.createElement(ListDataItem, __assign({}, value, { key: index }))); }))));
};

var CardTitleDetail = function (props) {
    var _a, _b;
    var bm = new BEM("CardTitleDetail", {});
    bm.Append(props.className);
    var _c = props.list, list = _c === void 0 ? [] : _c;
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h1", null, props.title),
        React.createElement("p", null, props.description),
        React.createElement(ListData, { data: list }),
        React.createElement("div", { className: bm.Children("buttons") },
            React.createElement(ButtonDefault, { onClick: props.onClickPlay }, (_a = props.buttonPlayText) !== null && _a !== void 0 ? _a : 'Reproducir ahora'),
            React.createElement(Button, { onClick: props.onClickDetail }, (_b = props.buttonDetailText) !== null && _b !== void 0 ? _b : 'Más detalles')),
        React.createElement("style", null, "\n                h1 {              \n                    background: url(/images/bigTitle.jpg)                  \n                }\n            ")));
};

var css_248z$e = ".Carousel {\n  position: relative;\n  box-sizing: border-box;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  -ms-user-select: none;\n  user-select: none;\n  -webkit-touch-callout: none;\n  -khtml-user-select: none;\n  touch-action: pan-y;\n  -webkit-tap-highlight-color: transparent;\n  overflow: hidden;\n  margin-bottom: 40px; }\n  .Carousel .SlickArrow {\n    position: absolute;\n    top: 0;\n    bottom: 0;\n    right: 40px;\n    z-index: 2;\n    margin: auto; }\n    .Carousel .SlickArrow--left {\n      left: 40px;\n      right: initial; }\n";
styleInject(css_248z$e);

var css_248z$d = ".SlickList {\n  display: flex; }\n  .SlickList .SlickItem {\n    position: relative;\n    width: 100%;\n    height: 100vh;\n    flex: none; }\n    .SlickList .SlickItem img {\n      object-fit: cover;\n      height: 100%; }\n  .SlickList--isDetail .SlickVideoItem,\n  .SlickList--isDetail .SlickItem {\n    background-image: linear-gradient(180deg, rgba(51, 51, 51, 0), rgba(0, 0, 0, 0.6) 75%, var(--iq-black));\n    height: 80vh; }\n    .SlickList--isDetail .SlickVideoItem:first-child, .SlickList--isDetail .SlickVideoItem:last-child,\n    .SlickList--isDetail .SlickItem:first-child,\n    .SlickList--isDetail .SlickItem:last-child {\n      opacity: .4;\n      filter: blur(3px);\n      box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.14), 0 2px 1px -1px rgba(0, 0, 0, 0.12);\n      flex: 0 200px; }\n      .SlickList--isDetail .SlickVideoItem:first-child section, .SlickList--isDetail .SlickVideoItem:last-child section,\n      .SlickList--isDetail .SlickItem:first-child section,\n      .SlickList--isDetail .SlickItem:last-child section {\n        display: none; }\n";
styleInject(css_248z$d);

var css_248z$c = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n.SlickItem h1 {\n  font-size: 80px;\n  background-repeat: repeat-x;\n  background-position: 100% 100%;\n  color: transparent;\n  -webkit-font-smoothing: antialiased;\n  -webkit-background-clip: text;\n  -moz-background-clip: text;\n  background-clip: text;\n  -webkit-text-fill-color: transparent;\n  text-transform: uppercase; }\n\n.SlickItem h1, .SlickItem p {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.SlickItem h1 {\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s;\n  animation-name: fadeInLeft; }\n\n.SlickItem p {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.SlickItem {\n  position: relative;\n  flex: 1;\n  transition: all 2s linear; }\n  .SlickItem img {\n    width: 100%;\n    display: block; }\n  .SlickItem div {\n    position: absolute;\n    top: 0;\n    left: 0;\n    bottom: 0;\n    display: flex;\n    align-items: flex-start;\n    justify-content: center;\n    padding: 40px;\n    flex-direction: column;\n    text-align: left; }\n    .SlickList .SlickItem div {\n      margin-left: 80px; }\n  .SlickItem h1 {\n    animation-delay: 0.6s;\n    margin: 0;\n    padding: 0; }\n  .SlickItem p {\n    animation-delay: 1s;\n    max-width: 600px;\n    overflow: hidden;\n    text-overflow: ellipsis;\n    display: -webkit-box;\n    -webkit-line-clamp: 3;\n    color: var(--iq-body-text);\n    -webkit-box-orient: vertical; }\n";
styleInject(css_248z$c);

// Generated with util/create-component.js
var SlickItem = function (props) {
    var bm = new BEM("SlickItem", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("img", { src: props.image, alt: props.title, title: props.title }),
        (props.title || props.description) && (React.createElement("div", null,
            React.createElement("h1", null, props.title),
            React.createElement("p", null, props.description))),
        React.createElement("style", null, "\n                h1 {              \n                    background: url(images/bigTitle.jpg)                  \n                }\n            ")));
};

var css_248z$b = ".Grid {\n  display: grid;\n  grid-gap: 0.8em; }\n  @media (min-width: 480px) {\n    .Grid--default {\n      grid-template-columns: repeat(2, 1fr); } }\n  @media (min-width: 768px) {\n    .Grid--default {\n      grid-template-columns: repeat(3, 1fr); } }\n  @media (min-width: 1024px) {\n    .Grid--default {\n      grid-template-columns: repeat(4, 1fr); } }\n  @media (min-width: 1200px) {\n    .Grid--default {\n      grid-template-columns: repeat(5, 1fr); } }\n  @media (min-width: 1400px) {\n    .Grid--default {\n      grid-template-columns: repeat(6, 1fr); } }\n  .Grid--col-1 {\n    grid-template-columns: repeat(1, 1fr); }\n  .Grid--col-2 {\n    grid-template-columns: repeat(2, 1fr); }\n  .Grid--col-3 {\n    grid-template-columns: repeat(3, 1fr); }\n  .Grid--col-4 {\n    grid-template-columns: repeat(4, 1fr); }\n  .Grid--col-5 {\n    grid-template-columns: repeat(5, 1fr); }\n  .Grid--col-6 {\n    grid-template-columns: repeat(6, 1fr); }\n  .Grid--col-7 {\n    grid-template-columns: repeat(7, 1fr); }\n  .Grid--col-8 {\n    grid-template-columns: repeat(8, 1fr); }\n  .Grid--col-9 {\n    grid-template-columns: repeat(9, 1fr); }\n  .Grid--col-10 {\n    grid-template-columns: repeat(10, 1fr); }\n  .Grid--col-11 {\n    grid-template-columns: repeat(11, 1fr); }\n  .Grid--col-12 {\n    grid-template-columns: repeat(12, 1fr); }\n";
styleInject(css_248z$b);

// Generated with util/create-component.js
var Grid = function (props) {
    var _a;
    var _b = props.isDefault, isDefault = _b === void 0 ? true : _b;
    var bm = new BEM("Grid", (_a = {
            default: isDefault
        },
        _a["col-" + props.col] = !!props.col,
        _a));
    bm.Append(props.className);
    return (React.createElement("div", { style: props.style, className: bm.toString() }, props.children));
};

var SlickList = function (props) {
    var _a, _b, _c;
    var className = props.className, style = props.style, _d = props.data, data = _d === void 0 ? [] : _d, _e = props.active, active = _e === void 0 ? 0 : _e;
    var bm = new BEM("SlickList", {
        isDetail: props.isDetail,
    });
    bm.Append(className);
    var Component = (_a = props.component) !== null && _a !== void 0 ? _a : SlickItem;
    var dataComponents = data.map((function (item, index) {
        if (!props.col && (index != active))
            return null;
        return (React.createElement(Component, __assign({ key: index }, item)));
    }));
    var componentResult = null;
    if (props.col) {
        componentResult = (React.createElement(Grid, { col: props.col }, dataComponents.slice(props.col * active, active > 0 ? (props.col * active) + props.col : props.col)));
    }
    else if (props.isDetail) {
        componentResult = [
            React.createElement(Component, __assign({ key: 0 }, (_b = data[active - 1]) !== null && _b !== void 0 ? _b : data[data.length - 1])),
            dataComponents,
            React.createElement(Component, __assign({ key: 2 }, (_c = data[active + 1]) !== null && _c !== void 0 ? _c : data[0]))
        ];
    }
    else {
        componentResult = dataComponents;
    }
    return (React.createElement("div", { className: bm.toString(), style: style }, componentResult));
};

var css_248z$a = ".SlickArrow {\n  --active: #fff;\n  --border: hsla(0, 0%, 100%, 0.12);\n  width: 44px;\n  height: 44px;\n  position: absolute;\n  cursor: pointer;\n  display: flex;\n  align-items: center;\n  justify-content: center; }\n  .SlickArrow::before, .SlickArrow::after {\n    content: \"\";\n    display: block;\n    position: absolute;\n    left: 1px;\n    right: 1px;\n    top: 1px;\n    bottom: 1px;\n    border-radius: 50%;\n    border: 2px solid var(--border); }\n  .SlickArrow--left {\n    transform: rotate(180deg); }\n";
styleInject(css_248z$a);

// Generated with util/create-component.js
var SlickArrow = function (props) {
    var left = props.left;
    var bm = new BEM("SlickArrow", {
        left: left
    });
    bm.Append(props.className);
    return (React.createElement("div", { onClick: props.onClick, style: props.style, className: bm.toString() },
        React.createElement(Arrow, { className: bm.Children("arrow") })));
};

// Generated with util/create-component.js
var Carousel = function (props) {
    var _a = useState(0), active = _a[0], setActive = _a[1];
    var bm = new BEM("Carousel", {});
    bm.Append(props.className);
    var onClick = function (pos) { return function () {
        var length = props.data.length;
        if (props.col) {
            length = Math.ceil(length / props.col);
        }
        setActive(function (active) {
            var a = ((active + pos) % length);
            return a < 0 ? length - 1 : a;
        });
    }; };
    return (React.createElement("div", { style: props.style, className: bm.toString() },
        React.createElement(SlickArrow, { onClick: onClick(-1), left: true }),
        React.createElement(SlickList, { isDetail: props.isDetail, col: props.col, component: props.component, active: active, data: props.data, children: props.children }),
        React.createElement(SlickArrow, { onClick: onClick(1) })));
};

var css_248z$9 = ".Container {\n  width: 100%;\n  padding-right: 15px;\n  padding-left: 15px;\n  margin-right: auto;\n  margin-left: auto; }\n  @media (min-width: 576px) {\n    .Container {\n      max-width: 540px; } }\n  @media (min-width: 768px) {\n    .Container {\n      max-width: 720px; } }\n  @media (min-width: 992px) {\n    .Container {\n      max-width: 960px; } }\n  @media (min-width: 1200px) {\n    .Container {\n      max-width: 1140px; } }\n  @media (min-width: 1300px) {\n    .Container {\n      max-width: 1170px; } }\n  @media (min-width: 1499px) {\n    .Container {\n      max-width: 1266px; } }\n";
styleInject(css_248z$9);

// Generated with util/create-component.js
var Container = function (props) {
    var bm = new BEM("Container", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, props.children));
};

var css_248z$8 = ".ContainerFluid {\n  width: 100%;\n  padding-right: 15px;\n  padding-left: 15px;\n  margin-right: auto;\n  margin-left: auto; }\n  .ContainerFluid--default {\n    padding: 0 100px; }\n";
styleInject(css_248z$8);

var ContainerFluid = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    var bm = new BEM("ContainerFluid", {
        default: props.default,
    });
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style }, children));
};

var css_248z$7 = ".Image {\n  border-style: none;\n  max-width: 100%;\n  height: auto;\n  box-shadow: 0 20px 40px rgba(0, 0, 0, 0.6);\n  width: 100%; }\n  .Image img {\n    width: 100%; }\n";
styleInject(css_248z$7);

// Generated with util/create-component.js
var Image = function (props) {
    var _a;
    var bm = new BEM("Image", {});
    bm.Append(props.className);
    return (React.createElement("picture", { className: bm.toString(), style: props.style },
        React.createElement("img", { src: props.src, alt: (_a = props.alt) !== null && _a !== void 0 ? _a : props.title, title: props.title })));
};

var css_248z$6 = ".Parallax {\n  height: 100%;\n  padding: 100px 0;\n  position: relative;\n  background-size: cover;\n  background-attachment: fixed;\n  background-repeat: no-repeat; }\n  .Parallax__content {\n    z-index: 1;\n    position: relative; }\n  .Parallax::after {\n    position: absolute;\n    content: \"\";\n    top: 0;\n    bottom: 0;\n    left: 0;\n    right: 0;\n    z-index: 0;\n    background: rgba(0, 0, 0, 0.8); }\n";
styleInject(css_248z$6);

var Parallax = function (props) {
    var _a;
    var bm = new BEM("Parallax", {});
    bm.Append(props.className);
    return (React.createElement("section", { className: bm.toString(), style: __assign(__assign({}, (_a = props.style) !== null && _a !== void 0 ? _a : {}), { background: "url(" + props.image + ") 100% 0% fixed no-repeat" }) },
        React.createElement("div", { className: bm.Children("content") }, props.children)));
};

var css_248z$5 = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n.SlickVideoItem__right {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.SlickVideoItem__right {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.SlickVideoItem {\n  position: relative;\n  flex: 1;\n  transition: all 2s linear;\n  height: 100vh; }\n  .SlickVideoItem img {\n    width: 100%;\n    display: block;\n    height: 100%;\n    object-fit: cover; }\n  .SlickVideoItem section {\n    position: absolute;\n    top: 0;\n    left: 0;\n    bottom: 0;\n    display: flex;\n    align-items: flex-start;\n    justify-content: center;\n    padding: 40px;\n    flex-direction: column;\n    text-align: left;\n    right: 0; }\n    .SlickList .SlickVideoItem section {\n      margin-left: 80px; }\n  .SlickVideoItem .Button {\n    color: var(--iq-body-text); }\n  .SlickVideoItem__right {\n    position: absolute;\n    bottom: 40px;\n    right: 40px;\n    z-index: 999;\n    text-align: center; }\n  .SlickVideoItem::before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    left: 0;\n    height: 100%;\n    background: linear-gradient(90deg, #000, #141414 35%, rgba(83, 100, 141, 0));\n    width: 100%;\n    z-index: 0;\n    bottom: 0; }\n";
styleInject(css_248z$5);

var SlickVideoItem = function (props) {
    var _a;
    var _b = props.list, list = _b === void 0 ? [] : _b;
    var bm = new BEM("SlickVideoItem", {});
    return (React.createElement("div", { className: bm.toString() },
        React.createElement("img", { src: props.image, alt: props.title, title: props.title }),
        React.createElement("section", null,
            React.createElement(CardTitleDetail, __assign({}, props, { list: list })),
            React.createElement("div", { className: bm.Children("right") },
                React.createElement(Button, { onClick: props.onClickRight }, (_a = props.buttonRightText) !== null && _a !== void 0 ? _a : 'Ver el trailer')))));
};

var css_248z$4 = ".test-component {\n  background-color: #e0e0e0;\n  border: 1px solid #131111;\n  padding: 16px;\n  width: 360px;\n  text-align: center; }\n  .test-component .heading {\n    font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n    font-size: 40px;\n    font-weight: bold; }\n  .test-component.test-component-secondary {\n    background-color: #131111;\n    color: #e0e0e0; }\n";
styleInject(css_248z$4);

var TestComponent = function (_a) {
    var theme = _a.theme;
    return (React.createElement("div", { "data-testid": "test-component", className: "test-component test-component-" + theme },
        React.createElement("h1", { className: "heading" }, "I'm the test component"),
        React.createElement("h2", null, "Made with love by Harvey")));
};

var css_248z$3 = ".TitleCategory {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif;\n  margin-bottom: 1.2em;\n  justify-content: space-between;\n  align-items: center;\n  display: flex; }\n  .TitleCategory h4 {\n    color: var(--iq-white);\n    font-size: 1.667em; }\n  .TitleCategory .Button {\n    color: var(--iq-body-text); }\n";
styleInject(css_248z$3);

// Generated with util/create-component.js
var TitleCategory = function (props) {
    var _a;
    var bm = new BEM("TitleCategory", {});
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement("h4", null, props.title),
        React.createElement(Button, { onClick: props.onClick }, (_a = props.buttonText) !== null && _a !== void 0 ? _a : "Ver todo")));
};

var css_248z$2 = "@keyframes fadeInLeft {\n  0% {\n    opacity: 0;\n    transform: translate3d(-100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInUp {\n  0% {\n    opacity: 0;\n    transform: translate3d(0, 100%, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    transform: translateZ(0); } }\n\n.VideoPremium__image {\n  -webkit-animation-duration: 1s;\n  animation-duration: 1s;\n  -webkit-animation-fill-mode: both;\n  animation-fill-mode: both; }\n\n.VideoPremium__image {\n  animation-name: fadeInUp;\n  opacity: 0;\n  -webkit-animation-duration: 1.5s;\n  animation-duration: 1.5s;\n  transition: opacity .5s ease .3s;\n  transition: 1s; }\n\n.VideoPremium {\n  display: grid;\n  grid-template-columns: 580px 1fr;\n  align-items: center;\n  justify-content: space-between;\n  padding: 40px;\n  grid-gap: 80px; }\n  .VideoPremium__image {\n    flex: 1; }\n  .VideoPremium__detail {\n    flex: 300px; }\n";
styleInject(css_248z$2);

var VideoPremium = function (props) {
    var bm = new BEM("VideoPremium", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement(CardTitleDetail, __assign({}, props, { className: bm.Children("detail") })),
        React.createElement(Image, { src: props.image, className: bm.Children("image") })));
};

var css_248z$1 = ".LayoutCardVideo {\n  font-family: \"Avenir Next\", Helvetica, Arial, sans-serif; }\n  .LayoutCardVideo .CardTitleDescription {\n    position: absolute;\n    left: 25px;\n    top: 0;\n    bottom: 0;\n    z-index: 1;\n    display: flex;\n    justify-content: center;\n    flex-direction: column; }\n";
styleInject(css_248z$1);

// Generated with util/create-component.js
var LayoutCardVideo = function (props) {
    var bm = new BEM("LayoutCardVideo", {});
    bm.Append(props.className);
    return (React.createElement(Card, { style: props.style, className: bm.toString(), default: true, image: props.image, imageAlt: props.title, imageTitle: props.title },
        React.createElement(CardTitleDescription, { description: props.description, title: props.title, label: props.label })));
};

var css_248z = "";
styleInject(css_248z);

var LayoutVideoPremium = function (props) {
    var bm = new BEM("LayoutVideoPremium", {});
    bm.Append(props.className);
    return (React.createElement("div", { className: bm.toString(), style: props.style },
        React.createElement(Parallax, { image: props.image },
            React.createElement(ContainerFluid, null,
                React.createElement(VideoPremium, __assign({}, props))))));
};

export { Arrow, Badge, Button, ButtonDefault, Card, CardTitleDescription, CardTitleDetail, Carousel, Container, ContainerFluid, Grid, Image, LayoutCardVideo, LayoutVideoPremium, ListData, ListDataItem, Parallax, SlickArrow, SlickItem, SlickList, SlickVideoItem, TestComponent, TitleCategory, VideoPremium };
//# sourceMappingURL=index.esm.js.map
